curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/working-time/SAP-WT-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SAP"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/working-time/SAP-WT-12345"
payload = {
"metadata": {
"source": "SAP"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/working-time/SAP-WT-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SAP'
}
})
}
);
console.log(response.status);
{
"message": "Working time record deleted successfully",
"external_id": "SAP-WT-12345",
"cor_id": 50001
}
{
"error": "WorkingTimeNotFoundError",
"message": "Working time record with external ID 'SAP-WT-12345' not found",
"code": "ZC004"
}
Working Time
Delete Working Time
Deletes a working time record from your COR instance
DELETE
/
v2
/
integrations
/
working-time
/
{id}
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/working-time/SAP-WT-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SAP"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/working-time/SAP-WT-12345"
payload = {
"metadata": {
"source": "SAP"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/working-time/SAP-WT-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SAP'
}
})
}
);
console.log(response.status);
{
"message": "Working time record deleted successfully",
"external_id": "SAP-WT-12345",
"cor_id": 50001
}
{
"error": "WorkingTimeNotFoundError",
"message": "Working time record with external ID 'SAP-WT-12345' not found",
"code": "ZC004"
}
Deletes a working time record from your COR instance using its external ID.
Since working time records cannot be updated, use this endpoint followed by a create operation when you need to modify a record.
Path Parameters
string
required
External working time record ID that was used when creating the record
Request Body Requirements
object
required
Show properties
Show properties
string
required
Integration source identifier. Must match the source used when creating the record.
Known Errors
WorkingTimeNotFoundError— No working time record found with the specified external IDValidationError— Missing requiredmetadata.sourcefield
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/working-time/SAP-WT-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SAP"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/working-time/SAP-WT-12345"
payload = {
"metadata": {
"source": "SAP"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/working-time/SAP-WT-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SAP'
}
})
}
);
console.log(response.status);
{
"message": "Working time record deleted successfully",
"external_id": "SAP-WT-12345",
"cor_id": 50001
}
{
"error": "WorkingTimeNotFoundError",
"message": "Working time record with external ID 'SAP-WT-12345' not found",
"code": "ZC004"
}
Was this page helpful?
⌘I

